Commit 36d12749 authored by David Hardy's avatar David Hardy

Updated dependencies

parent d21aed38
......@@ -19,7 +19,7 @@ deploy-development:
- yarn
- yarn build:prod
- firebase use cc-firebase-workshop-dev --token $FIREBASE_DEV_TOKEN
- firebase deploy -m "Pipe $CI_PIPELINE_ID Build $CI_BUILD_ID" --token $FIREBASE_DEV_TOKEN
- firebase deploy -f -m "Pipe $CI_PIPELINE_ID Build $CI_BUILD_ID" --token $FIREBASE_DEV_TOKEN
deploy-production:
stage: deploy
......@@ -30,5 +30,5 @@ deploy-production:
- yarn
- yarn build:prod
- firebase use codecentric-firebase-workshop --token $FIREBASE_PROD_TOKEN
- firebase deploy -m "Pipe $CI_PIPELINE_ID Build $CI_BUILD_ID" --token $FIREBASE_PROD_TOKEN
- firebase deploy -f -m "Pipe $CI_PIPELINE_ID Build $CI_BUILD_ID" --token $FIREBASE_PROD_TOKEN
......@@ -15,40 +15,40 @@
},
"private": true,
"dependencies": {
"@angular/animations": "^8.1.2",
"@angular/common": "^8.1.2",
"@angular/compiler": "^8.1.2",
"@angular/core": "^8.1.2",
"@angular/forms": "^8.1.2",
"@angular/animations": "^8.2.0",
"@angular/common": "^8.2.0",
"@angular/compiler": "^8.2.0",
"@angular/core": "^8.2.0",
"@angular/forms": "^8.2.0",
"@angular/http": "^7.2.15",
"@angular/fire": "^5.2.1",
"@angular/platform-browser": "^8.1.2",
"@angular/platform-browser-dynamic": "^8.1.2",
"@angular/router": "^8.1.2",
"@angular/platform-browser": "^8.2.0",
"@angular/platform-browser-dynamic": "^8.2.0",
"@angular/router": "^8.2.0",
"@apu/model": "file:../model",
"core-js": "^2.6.9",
"firebase": "^6.3.1",
"firebase": "^6.3.4",
"firebaseui": "^4.1.0",
"firebaseui-angular": "^3.4.2",
"ng-zorro-antd": "^8.1.0",
"firebaseui-angular": "^4.0.0",
"ng-zorro-antd": "^8.1.2",
"rxjs": "^6.5.2",
"zone.js": "^0.9.1"
},
"devDependencies": {
"@angular-devkit/build-angular": "^0.801.2",
"@angular-devkit/schematics": "^8.1.2",
"@angular/cli": "^8.1.2",
"@angular/compiler-cli": "^8.1.2",
"@angular/language-service": "^8.1.2",
"@types/jasmine": "~3.3.14",
"@angular-devkit/build-angular": "^0.802.0",
"@angular-devkit/schematics": "^8.2.0",
"@angular/cli": "^8.2.0",
"@angular/compiler-cli": "^8.2.0",
"@angular/language-service": "^8.2.0",
"@types/jasmine": "~3.3.16",
"@types/jasminewd2": "~2.0.6",
"@types/node": "^10.9.3",
"@types/node": "^10.14.14",
"codelyzer": "^5.1.0",
"jasmine-core": "^3.4.0",
"jasmine-spec-reporter": "^4.2.1",
"karma": "^4.2.0",
"karma-chrome-launcher": "^3.0.0",
"karma-coverage-istanbul-reporter": "^2.0.5",
"karma-coverage-istanbul-reporter": "^2.1.0",
"karma-jasmine": "^2.0.1",
"karma-jasmine-html-reporter": "^1.4.2",
"protractor": "^5.4.2",
......
......@@ -2,33 +2,33 @@
# yarn lockfile v1
"@angular-devkit/architect@0.801.2":
version "0.801.2"
resolved "https://registry.yarnpkg.com/@angular-devkit/architect/-/architect-0.801.2.tgz#f3928e980dc9f3124da95291c810ebc6bfc46c13"
integrity sha512-gdPdT6y3TDA3hzTAlI3Ym8QB8Zj8kqAMzDwP1JSXxekF6md0qc+NK7WCu6Y+pj1Bbo5mXpxHBov4Xwv1l4STQA==
"@angular-devkit/architect@0.802.0":
version "0.802.0"
resolved "https://registry.yarnpkg.com/@angular-devkit/architect/-/architect-0.802.0.tgz#5e346e5f7192a95a7270b8c713f9fe9d127f5602"
integrity sha512-Zd/ao7uE8ctV4n6drKl35cK5xrRsmgva7lsiBRc4J09vDWaRrCsxTKr6nw1gkFBDuSGZc9OmvtEFFPg2I/YHwQ==
dependencies:
"@angular-devkit/core" "8.1.2"
"@angular-devkit/core" "8.2.0"
rxjs "6.4.0"
"@angular-devkit/build-angular@^0.801.2":
version "0.801.2"
resolved "https://registry.yarnpkg.com/@angular-devkit/build-angular/-/build-angular-0.801.2.tgz#1d1313877c15690cbcc12c33cb5b5cedf8989cde"
integrity sha512-PXwqvogl/brFjWhQMJoBTif5cGs5w1O/dahNaW3s9qbPGOg0E0nta+K8F/lL8x2pksslQi0jui6CeP1Yv+i1aA==
dependencies:
"@angular-devkit/architect" "0.801.2"
"@angular-devkit/build-optimizer" "0.801.2"
"@angular-devkit/build-webpack" "0.801.2"
"@angular-devkit/core" "8.1.2"
"@ngtools/webpack" "8.1.2"
ajv "6.10.0"
autoprefixer "9.6.0"
browserslist "4.6.3"
caniuse-lite "1.0.30000979"
"@angular-devkit/build-angular@^0.802.0":
version "0.802.0"
resolved "https://registry.yarnpkg.com/@angular-devkit/build-angular/-/build-angular-0.802.0.tgz#d5da3afc06e07c0a43bb9209b73caeefb2e86f29"
integrity sha512-4knETvOkeeWrwddc+teo+tyocioh2imehLN97m87EJz1i0+uJaFYkQPUrTqp8yJE0OQI2Gg387EdTnqrz9Pc3Q==
dependencies:
"@angular-devkit/architect" "0.802.0"
"@angular-devkit/build-optimizer" "0.802.0"
"@angular-devkit/build-webpack" "0.802.0"
"@angular-devkit/core" "8.2.0"
"@ngtools/webpack" "8.2.0"
ajv "6.10.2"
autoprefixer "9.6.1"
browserslist "4.6.6"
caniuse-lite "1.0.30000986"
circular-dependency-plugin "5.0.2"
clean-css "4.2.1"
copy-webpack-plugin "5.0.3"
copy-webpack-plugin "5.0.4"
core-js "3.1.4"
file-loader "4.0.0"
file-loader "4.1.0"
glob "7.1.4"
istanbul-instrumenter-loader "3.0.1"
karma-source-map-support "1.4.0"
......@@ -36,7 +36,7 @@
less-loader "5.0.0"
license-webpack-plugin "2.1.1"
loader-utils "1.2.3"
mini-css-extract-plugin "0.7.0"
mini-css-extract-plugin "0.8.0"
minimatch "3.0.4"
open "6.4.0"
parse5 "4.0.0"
......@@ -45,9 +45,9 @@
postcss-loader "3.0.0"
raw-loader "1.0.0"
rxjs "6.4.0"
sass "1.22.2"
sass "1.22.7"
sass-loader "7.1.0"
semver "6.2.0"
semver "6.3.0"
source-map-loader "0.2.4"
source-map-support "0.5.12"
speed-measure-webpack-plugin "1.3.1"
......@@ -56,7 +56,7 @@
stylus-loader "3.0.2"
terser-webpack-plugin "1.3.0"
tree-kill "1.2.1"
webpack "4.35.2"
webpack "4.38.0"
webpack-dev-middleware "3.7.0"
webpack-dev-server "3.7.2"
webpack-merge "4.2.1"
......@@ -64,49 +64,49 @@
webpack-subresource-integrity "1.1.0-rc.6"
worker-plugin "3.1.0"
"@angular-devkit/build-optimizer@0.801.2":
version "0.801.2"
resolved "https://registry.yarnpkg.com/@angular-devkit/build-optimizer/-/build-optimizer-0.801.2.tgz#71b3b68bc2e09b4a9753fb7602cb7ff3be3da58d"
integrity sha512-BwbRn+11MpR4XjVLoFZZY1DAPCnft/5z6g6kfbTmoJNm6TD7+KypCEXw3MzdGt9vp085XJibc405R1QmmrOF+g==
"@angular-devkit/build-optimizer@0.802.0":
version "0.802.0"
resolved "https://registry.yarnpkg.com/@angular-devkit/build-optimizer/-/build-optimizer-0.802.0.tgz#35b81224b25508b33775e615a62f3533d0ca2a7e"
integrity sha512-eq47XkLvta6wJEwCT/fdQczZZA1hPH8hHbp/W1TBzzUcyeeHHSimdeMKM0Pw5rwHVrd+nQL0tbTZwX3qaVcTfg==
dependencies:
loader-utils "1.2.3"
source-map "0.5.6"
typescript "3.4.5"
typescript "3.5.3"
webpack-sources "1.3.0"
"@angular-devkit/build-webpack@0.801.2":
version "0.801.2"
resolved "https://registry.yarnpkg.com/@angular-devkit/build-webpack/-/build-webpack-0.801.2.tgz#142ca0e7732a480001cc318369e2930e2307bee7"
integrity sha512-xy0MHLaXw4pz0NEg7fNyPjXdKkjeLAI6T2fnzYbLw3TJOqVe9y7p5uDLWa2/wp66mk34gcM/7A0ILqaIJ/ytGg==
"@angular-devkit/build-webpack@0.802.0":
version "0.802.0"
resolved "https://registry.yarnpkg.com/@angular-devkit/build-webpack/-/build-webpack-0.802.0.tgz#c4ed8a7ef0bdde3cd733132c3657d8bee382ec99"
integrity sha512-O5eUsvvjPxrc5ge5LVTtP6mh1lnAI3ra4LhgCGpdInfaGzzeFcyEeBCaS9IoyKQo2PJLEnOZ+BDd6Necu81oTA==
dependencies:
"@angular-devkit/architect" "0.801.2"
"@angular-devkit/core" "8.1.2"
"@angular-devkit/architect" "0.802.0"
"@angular-devkit/core" "8.2.0"
rxjs "6.4.0"
webpack-merge "4.2.1"
"@angular-devkit/core@8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular-devkit/core/-/core-8.1.2.tgz#8220725a2251a415e0588e65febb5bf2a931f471"
integrity sha512-sNkqXbkHE9+ObtLOYmDKJL1bOf1zY0AwGVKemgDqCmu1mRUNqhb7CmF13DRscfU3MEcuiJYDjXqBQDjIszrFiw==
"@angular-devkit/core@8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular-devkit/core/-/core-8.2.0.tgz#aaeb8d05e3a45fcff6309159fa6aa7a20665d53f"
integrity sha512-jZQn5hQ84++00+yuD/Ak303/Q06keFVyd+QbSfVrpHTFyOwPeNNSPLbN6A0S7X3bKOuoZhUHg+eQBa5BljVC2g==
dependencies:
ajv "6.10.0"
ajv "6.10.2"
fast-json-stable-stringify "2.0.0"
magic-string "0.25.3"
rxjs "6.4.0"
source-map "0.7.3"
"@angular-devkit/schematics@8.1.2", "@angular-devkit/schematics@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular-devkit/schematics/-/schematics-8.1.2.tgz#2b8926d4af7992d6f99ddecd86cd81cb1a619d69"
integrity sha512-Di/3vPR4jwdYcMAk13t19sAF0qQUH8KSkFcmO/5E/gECTL1tXNvV690K1Vhn6zpeE17Z1MLB5HwRNcb6nJkD+Q==
"@angular-devkit/schematics@8.2.0", "@angular-devkit/schematics@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular-devkit/schematics/-/schematics-8.2.0.tgz#cd7e1fc0bbe2f18f9eb86d65afd942c9b3858d2a"
integrity sha512-/XUWJijLXzhtWdjoQ5ioLo5r5V5+sJ0SSnSP0N8MQyLOgTd1FDGtBMsAMJ3n2/uwUl2/O9WTlV1xNLlg7neYVQ==
dependencies:
"@angular-devkit/core" "8.1.2"
"@angular-devkit/core" "8.2.0"
rxjs "6.4.0"
"@angular/animations@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/animations/-/animations-8.1.2.tgz#2e4fec78a9345d9f1d93e9d464911c71f8c80046"
integrity sha512-szR5qzRe6vS1qrPhV2p5fMp5vQxT2SaljXGs3Xgt2Tl23om0XVNcqK0I8NNuK/ehuJ5LXQ1fJHniGcmN2aUw0g==
"@angular/animations@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/animations/-/animations-8.2.0.tgz#406e9242153172c2ae0cc72c4e0bb37e14d3ec5b"
integrity sha512-G+4+F/T4VA6TlXsv73ZQBe6LKgl1PfxchzzaEiFcGkLqlEaSU7ZgVD+PW6rUvG9a8jWMxBLqqtty0H70JkDysQ==
dependencies:
tslib "^1.9.0"
......@@ -119,41 +119,41 @@
optionalDependencies:
parse5 "^5.0.0"
"@angular/cli@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/cli/-/cli-8.1.2.tgz#ac94203e89578d5edef1b860756aa0c33ae52abc"
integrity sha512-Zz9WGqPgr+w9SfpDeKLPzGFLZaX7uu2kU7/r6vxvnESJcnoxKOJBf+ipXu42TY7D3FtSiPBO27GBTSVgPCseoQ==
dependencies:
"@angular-devkit/architect" "0.801.2"
"@angular-devkit/core" "8.1.2"
"@angular-devkit/schematics" "8.1.2"
"@schematics/angular" "8.1.2"
"@schematics/update" "0.801.2"
"@angular/cli@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/cli/-/cli-8.2.0.tgz#c012c3f2474b081861960a43c3c1cf7bf8a57fa6"
integrity sha512-KtjC5Mge93YjPQXxEKnXzQ7pmryizfVunrcKHSwhnzfNdwqSjcfL2evl4oBT07b6RfT0nF8HWn0ATWpiLWwrXQ==
dependencies:
"@angular-devkit/architect" "0.802.0"
"@angular-devkit/core" "8.2.0"
"@angular-devkit/schematics" "8.2.0"
"@schematics/angular" "8.2.0"
"@schematics/update" "0.802.0"
"@yarnpkg/lockfile" "1.1.0"
ansi-colors "4.1.0"
ansi-colors "4.1.1"
debug "^4.1.1"
ini "1.3.5"
inquirer "6.4.1"
inquirer "6.5.0"
npm-package-arg "6.1.0"
open "6.4.0"
pacote "9.5.1"
pacote "9.5.4"
read-package-tree "5.3.1"
semver "6.2.0"
semver "6.3.0"
symbol-observable "1.2.0"
universal-analytics "^0.4.20"
uuid "^3.3.2"
"@angular/common@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/common/-/common-8.1.2.tgz#43a7fd1179d179cae9142a3e6ae60a26a34dd062"
integrity sha512-bywFofN5RjcvygYEC/3eo+bfUnYBmARA6DPau8fm6D2ZGpXrWXJ3Thd99ZesuuffvpniaIHlAjbHGI83XSnixQ==
"@angular/common@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/common/-/common-8.2.0.tgz#20b345edcaaa5437fa4e6b4e7aeadc9649fbaa63"
integrity sha512-4Na0DgqOX7FlGpC0upKpPr8cCOpHTDXh50uW9p1sLyfiR5kQxZsZPbTikQ9mMBWgS3tuG08bSieyvp+R8dJTZA==
dependencies:
tslib "^1.9.0"
"@angular/compiler-cli@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/compiler-cli/-/compiler-cli-8.1.2.tgz#1b20c3e53520bf8bbece4ba88171dec79eb78e9c"
integrity sha512-Dxm99iuv265AlUf3aX3nRl+Iqrj3RvlQgPOYLsV1EEVnA2+4Mjj52zbKgdOOOfhCF48imVbaU45Sh8p2l1xdOw==
"@angular/compiler-cli@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/compiler-cli/-/compiler-cli-8.2.0.tgz#1d18113a3ec58208d428d290728bbda7225cf7a2"
integrity sha512-wwR/01DIAazynICQA7ge7tmXSTgY0rLn3vB9kF30mpg4IdytLqY4ExtfThxvbG8w+wnEGxzYLkpXkp5CQUD/Fw==
dependencies:
canonical-path "1.0.0"
chokidar "^2.1.1"
......@@ -166,17 +166,17 @@
tslib "^1.9.0"
yargs "13.1.0"
"@angular/compiler@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/compiler/-/compiler-8.1.2.tgz#db91a652a5c725b553ef946976446121c024bd0b"
integrity sha512-oRkHrstOV6imbb4mGf6q20d4N4iYfBbI6WfxtPL4dz08GipGg4Zvekn4e3R01vzhFBxssGcgmeEtFQJh/UzI8g==
"@angular/compiler@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/compiler/-/compiler-8.2.0.tgz#216cbebb9e9a59c2037746112dbf044a26670e36"
integrity sha512-5OlLfL6cie8XAY+pPc+iCouzO07V5Lahmyr6OVKMjePJO5SkPuVdm/OPdR43n3VNlOje4bwHHvoTok1BKepDTg==
dependencies:
tslib "^1.9.0"
"@angular/core@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/core/-/core-8.1.2.tgz#d05a4965093a9ce7e7776088dc2b9e7e885e8d9f"
integrity sha512-Gm/UIUnIkeah39vxi4enVH/CUcPZOgGDyw4RNagw4pH8dTP8V0RUz8uteOr3DS+Eh49BcHkrT2oU5MBZSZ3lvw==
"@angular/core@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/core/-/core-8.2.0.tgz#18e50f525d9cb9987a6a84e583a2becbc446919e"
integrity sha512-Sg7zPaaAeV73zobKmxvdQ0pDhZAigDKM9jOqm2q19ucdOLBBQJnZf7JkZYO+KWm56Ttz76Jetl+neR5zzGg/bg==
dependencies:
tslib "^1.9.0"
......@@ -185,10 +185,10 @@
resolved "https://registry.yarnpkg.com/@angular/fire/-/fire-5.2.1.tgz#4b966aaed10cda0b430c9d80769b39d08032004d"
integrity sha512-pS4zWhLLANzMbYVIKNtebDQKhm9+KANUDvDV6DwKP24XHzkZdvazKe1HC6uXWlf7QmDxSPFleCSBkn0tnQQzdQ==
"@angular/forms@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/forms/-/forms-8.1.2.tgz#49e1327b431adb7533a31435fc41bfea5cf502bf"
integrity sha512-DHqbWt6AGnLkNajLZUAH4yQrxZdgUkjzEW6oxwvS2PxmLIrppz4TYWizfAVQndZ1Ddl7Eo1zRoRzqqHT90XyGA==
"@angular/forms@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/forms/-/forms-8.2.0.tgz#00fbf9a00863b93084adecc0d99b73c3dd73198a"
integrity sha512-ibvdCEr8n1Tfa0gaZDQFAIBeSZ0wle4O6BBaiai4wQdjnSQ0fTsmWjVIZ/UUi2diqbrTQFzfH1Cj41hPHwltxQ==
dependencies:
tslib "^1.9.0"
......@@ -199,29 +199,29 @@
dependencies:
tslib "^1.9.0"
"@angular/language-service@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/language-service/-/language-service-8.1.2.tgz#bdc7a9664ebef837ebaaeb583f66704e06fbeabe"
integrity sha512-9DR5TclsEpMIzCmagLHKYDTAqcZUkZKPjkngqIAUJg5R4IUjsuYn8NZX+agoOrS4ky6Dy9FXGYUC+QB0iEiycg==
"@angular/language-service@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/language-service/-/language-service-8.2.0.tgz#98c3d01807a08750b85bcc8bcfface06e2f55b6e"
integrity sha512-fv+BF4Fgy/JASi3lpfwxDFsByWfpsASr5wt2zFMozHSb0ZsJ22OpyvdnjPfEaAOLDV0qcXIZEZ6O+NjRq2qurQ==
"@angular/platform-browser-dynamic@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/platform-browser-dynamic/-/platform-browser-dynamic-8.1.2.tgz#10297054900daf8728e9ad8531d7ea40d1270bc7"
integrity sha512-NmbGMwKPbYq3ZFt6nOqRslJsQNRS2E94cjkSLseEb5wauUmdUBX9stoHu8BOhvd+EIEcYhD7uxPB+L/qPsH46g==
"@angular/platform-browser-dynamic@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/platform-browser-dynamic/-/platform-browser-dynamic-8.2.0.tgz#c3457ab5314a17560c604685d9da24e2da59e61b"
integrity sha512-nPPnsJ+g6jvhdiPBQ3zBhdouBKnPdBx4Vm3gOgKSuQ1m7jW7aVFhNFi1IgkNOTZLKLyvIZ2F1EhiR3A3fUJteA==
dependencies:
tslib "^1.9.0"
"@angular/platform-browser@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/platform-browser/-/platform-browser-8.1.2.tgz#5e136f10656a950d5a8e65da68a7270fadc83875"
integrity sha512-n61OtH3B0e+LTHCfHPjB7hiuo0ZxKxZvNWigczGyLZf2abga5jac2bNrdZnU8zXC44AUfasUD2qDS2IPIhNbqA==
"@angular/platform-browser@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/platform-browser/-/platform-browser-8.2.0.tgz#aa38096470d6240ba037f543e3b356d0f378ee08"
integrity sha512-0VeNOspfjFZudMwca6ZCESCNloydqzifOn6fSetY0ILzO6MnM8GX/PiAByppYRXoIla3pwDtg1lcI+FUZoaT5Q==
dependencies:
tslib "^1.9.0"
"@angular/router@^8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@angular/router/-/router-8.1.2.tgz#83dbab106918225da9a3e03945380483f244085e"
integrity sha512-+SWoYZHyDBBUydDTbIu+hyoGzWtSA4VUsriUPWEOCplzQiabFhWxVvcT00mO0cim4XfupL1tmiPjE66sivLYBw==
"@angular/router@^8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@angular/router/-/router-8.2.0.tgz#4467eb5e152001c749a3d710989adfa9b48faabd"
integrity sha512-cSp49wFT2w6e8BWfCV9yX02B0VA1dqW2DZf5d8UyadRMLm/zgZVT8AGuIo6VZ1KcdXswvIeRbc+M/BaBIxeonA==
dependencies:
tslib "^1.9.0"
......@@ -361,81 +361,81 @@
lodash "^4.17.13"
to-fast-properties "^2.0.0"
"@firebase/app-types@0.4.1":
version "0.4.1"
resolved "https://registry.yarnpkg.com/@firebase/app-types/-/app-types-0.4.1.tgz#7d2988351575278907d2c9f3f1d94b1b892644ff"
integrity sha512-wntbTiqX8xr55x6uRqh+BeZbAqOqGC8kD9/Ks1Bjjoo4kLHg69JwtwyU5oL9pDM3WeIiYBHcFSpGS8Kvp+H66Q==
"@firebase/app-types@0.4.3":
version "0.4.3"
resolved "https://registry.yarnpkg.com/@firebase/app-types/-/app-types-0.4.3.tgz#80d2b6e5ee43ac99892329ab02301ee7ed82da45"
integrity sha512-VU5c+ZjejvefLVH4cjiX3Hy1w9HYMv7TtZ1tF9ZmOqT4DSIU1a3VISWoo8///cGGffr5IirMO+Q/WZLI4p8VcA==
"@firebase/app@0.4.11":
version "0.4.11"
resolved "https://registry.yarnpkg.com/@firebase/app/-/app-0.4.11.tgz#3b1cea8512f6e7c8913c4eb291f2d5f486c508c9"
integrity sha512-6uTbDh5xRkyuLqGGVPUmD366Oje17aJ6CehoGnVn080H0BQiB5eOk4F1Z8eSOIFDfoE0NYAU5O5aG4w7MzWyWg==
"@firebase/app@0.4.13":
version "0.4.13"
resolved "https://registry.yarnpkg.com/@firebase/app/-/app-0.4.13.tgz#5997214002f5a56b88154566e483dc3440e3d57e"
integrity sha512-LWiIKRoik1dFsY24k3pQ6NrQyWvSt+HzJKratUHfzqDBACdxcw7+9kwFMnS4MHGc/GGFVC42rHrI0PHeRe779w==
dependencies:
"@firebase/app-types" "0.4.1"
"@firebase/logger" "0.1.19"
"@firebase/util" "0.2.22"
"@firebase/app-types" "0.4.3"
"@firebase/logger" "0.1.21"
"@firebase/util" "0.2.24"
dom-storage "2.1.0"
tslib "1.10.0"
xmlhttprequest "1.8.0"
"@firebase/auth-types@0.7.1":
version "0.7.1"
resolved "https://registry.yarnpkg.com/@firebase/auth-types/-/auth-types-0.7.1.tgz#c0dbdf5180af7316f87dc2e76960b9354b68a46c"
integrity sha512-EVZTmHnSSrWLmx9kY9K+vZk45HQnuVdtfx2gt7LS4yiSqYTVaLVBXXBnzVTgAQxodPPVOXzeYETX2aNXOLVL5A==
"@firebase/auth-types@0.7.2":
version "0.7.2"
resolved "https://registry.yarnpkg.com/@firebase/auth-types/-/auth-types-0.7.2.tgz#6343639d422ea84feddf619e22d8db7f63b0eb62"
integrity sha512-xm3evp6671LoI+6M8Om3OhikabLf88Ivz1e7aR8uZjVBYptEYbF3seDIyHn/3wWdVYbp20WK4aWixKlRnHl+6Q==
"@firebase/auth@0.11.5":
version "0.11.5"
resolved "https://registry.yarnpkg.com/@firebase/auth/-/auth-0.11.5.tgz#f099e47e37016febaed74f01ac8441627abeb2ab"
integrity sha512-RDdeXncpN6UCvbn6RUtRWSDwhFBagOvTbSJTM3LyWUO/daL77M3+oq7gAg9SxmPVjoOKBEtmfkp9sEpkZkWF7Q==
"@firebase/auth@0.11.7":
version "0.11.7"
resolved "https://registry.yarnpkg.com/@firebase/auth/-/auth-0.11.7.tgz#febfcbb6281db73e47446394be3d6370416af26e"
integrity sha512-qloLTfUPja0ivRvyC0FnEMif6bYPZb9DsJsV83KiBWaYMSkCeNHuA34p73JvjmgHrT571t+zFpJ3OrBH+va4ow==
dependencies:
"@firebase/auth-types" "0.7.1"
"@firebase/auth-types" "0.7.2"
"@firebase/database-types@0.4.1":
version "0.4.1"
resolved "https://registry.yarnpkg.com/@firebase/database-types/-/database-types-0.4.1.tgz#337f10f69aed8e83c41d9ba6c747028d9584be6b"
integrity sha512-XDZY97/sEVo9pBq2DIOAVzyeTc3h2Ktq8MYn7qRdkQGGxTFXYxUqxjbnTbc1cvfvi8zxeCAp6OoEEB1K0I94sg==
"@firebase/database-types@0.4.2":
version "0.4.2"
resolved "https://registry.yarnpkg.com/@firebase/database-types/-/database-types-0.4.2.tgz#7bb2e605b914ad5cca7b1f4f5d8e7940fa37a708"
integrity sha512-rBF/Sp4S4zzVg+a6h0iEiXR2GdNRrvx2BR6IcvGHnSPF7XVpj9UuUWtZMJyO+vWP3zlIGDvlNRJ4qF01Y6KxGg==
"@firebase/database@0.4.8":
version "0.4.8"
resolved "https://registry.yarnpkg.com/@firebase/database/-/database-0.4.8.tgz#c7179e8b7169234514f072707f43e67f2cf76d8b"
integrity sha512-omM+oO9xlimrXTVSUqU7fwwCFDzSdM82SUOrkd55WHQGEsfiZHMkBnNAzZoLt4ZiEi1dsunkPjuyzY0i0WqaOA==
"@firebase/database@0.4.11":
version "0.4.11"
resolved "https://registry.yarnpkg.com/@firebase/database/-/database-0.4.11.tgz#671a7da8195d02b8cbcd3e0c23adbd6226d8df38"
integrity sha512-g6VcEiw1HqBbV31p0j61CleLKZQ2XEOqpv1MSuiH9YYMsbHI7uUaebj3dxIdLSdLMoWNpGYmlXva/AWkirAV8Q==
dependencies:
"@firebase/database-types" "0.4.1"
"@firebase/logger" "0.1.19"
"@firebase/util" "0.2.22"
"@firebase/database-types" "0.4.2"
"@firebase/logger" "0.1.21"
"@firebase/util" "0.2.24"
faye-websocket "0.11.3"
tslib "1.10.0"
"@firebase/firestore-types@1.4.3":
version "1.4.3"
resolved "https://registry.yarnpkg.com/@firebase/firestore-types/-/firestore-types-1.4.3.tgz#d1742a99c23f0f8e75c2e63be7ed2edcf7a4b874"
integrity sha512-jvxMshH5g2eZpF8pd5bIN6cb0jyUwCdZCpE4BQVugYM3+2aaAMdrRXqPqfd31ibMAdY97YXKgwH7z3dFK4WFeg==
"@firebase/firestore@1.4.5":
version "1.4.5"
resolved "https://registry.yarnpkg.com/@firebase/firestore/-/firestore-1.4.5.tgz#09f2cb08ce55ae5e5a4925ac05d87e6b95f3547f"
integrity sha512-pQeNXRxQB3sufYmDl9LAeavLKuzpBz7L0Yp7zJi6PI9uQnTD5cZxS3GU5B23F6jG60+2vNsMOwSiXA36M5jF7g==
dependencies:
"@firebase/firestore-types" "1.4.3"
"@firebase/logger" "0.1.19"
"@firebase/util" "0.2.22"
"@firebase/webchannel-wrapper" "0.2.22"
"@firebase/firestore-types@1.4.4":
version "1.4.4"
resolved "https://registry.yarnpkg.com/@firebase/firestore-types/-/firestore-types-1.4.4.tgz#3051a9c163b4b76ae04544629ff5e0777e452548"
integrity sha512-kFpmzkUKfzrXkcMad+TQlMs55dWNY0q1UxGICW82EneX3Yg6HN3Nx36kYfqH+SLBFUN1ZTikN07alMp0MA9p9g==
"@firebase/firestore@1.4.8":
version "1.4.8"
resolved "https://registry.yarnpkg.com/@firebase/firestore/-/firestore-1.4.8.tgz#a17ee01463b546a2adfb2162a0613c74d0a25208"
integrity sha512-/Ult2LpbweinNnpqGrGiMw+EAaMEy6uA71DWN868oZoUmnn/+s/DCe2J0P+On2HATqvg5WggrQRa9I0in8fFag==
dependencies:
"@firebase/firestore-types" "1.4.4"
"@firebase/logger" "0.1.21"
"@firebase/util" "0.2.24"
"@firebase/webchannel-wrapper" "0.2.23"
"@grpc/proto-loader" "^0.5.0"
grpc "1.22.2"
tslib "1.10.0"
"@firebase/functions-types@0.3.7":
version "0.3.7"
resolved "https://registry.yarnpkg.com/@firebase/functions-types/-/functions-types-0.3.7.tgz#95b05db085540d493aa161e94cdd3e3a1741ecfc"
integrity sha512-2n4nvsLOBzkNtvW83ySKb5fLWcMFOAwJeBXwkdJUvZD4OpDveRkDkn/U6V+MWBGDetX6eRxA054zLfMwBNFCag==
"@firebase/functions-types@0.3.8":
version "0.3.8"
resolved "https://registry.yarnpkg.com/@firebase/functions-types/-/functions-types-0.3.8.tgz#c01f670bbca04365e680d048b0fe5770a946f643"
integrity sha512-9hajHxA4UWVCGFmoL8PBYHpamE3JTNjObieMmnvZw3cMRTP2EwipMpzZi+GPbMlA/9swF9yHCY/XFAEkwbvdgQ==
"@firebase/functions@0.4.12":
version "0.4.12"
resolved "https://registry.yarnpkg.com/@firebase/functions/-/functions-0.4.12.tgz#c8e91d779189dc8e83ef2ea872e35cce18be343a"
integrity sha512-zlQOTxyc3+dq2vDIB0GCoATvfSyhWFM54AobovrzuI93dUHtDfZXfKAl3CwvUZ1rKLY1lgprorRWLOLax+NxJQ==
"@firebase/functions@0.4.14":
version "0.4.14"
resolved "https://registry.yarnpkg.com/@firebase/functions/-/functions-0.4.14.tgz#c222086222ec072e0c9c6602500d6d2435b09355"
integrity sha512-rWYWIp2NIRfNGREkSEhu9fD7WsqkUARnonn7+g+DOCxlf23AkwwDwp6q9cnSia7iJ9kmkiz4hyQVI0vB1QlV5A==
dependencies:
"@firebase/functions-types" "0.3.7"
"@firebase/messaging-types" "0.3.1"
"@firebase/functions-types" "0.3.8"
"@firebase/messaging-types" "0.3.2"
isomorphic-fetch "2.2.1"
tslib "1.10.0"
......@@ -444,33 +444,33 @@
resolved "https://registry.yarnpkg.com/@firebase/installations-types/-/installations-types-0.1.2.tgz#ac2a912e078282fd270b03b571b4639ed88d871a"
integrity sha512-fQaWIW8hyX1XUN7+FCSPjvM1agFjGidVuF4Sxi7aFwfyh5t+4fD2VpM4wCQbWmodnx4fZLvsuQd9mkxxU+lGYQ==
"@firebase/installations@0.2.1":
version "0.2.1"
resolved "https://registry.yarnpkg.com/@firebase/installations/-/installations-0.2.1.tgz#c741b3add58c2ecb13d3947814ae2aee2f2cbd81"
integrity sha512-/1Qjot27/Cv5n8aHpxRe5UGibnh/KRYvNZu9rsG+CkFuLMBZOQvvlNWxT4W6nrSUzfyILrj8Gb6fcpkk3vfrpw==
"@firebase/installations@0.2.3":
version "0.2.3"
resolved "https://registry.yarnpkg.com/@firebase/installations/-/installations-0.2.3.tgz#d0203a7e3dac00a5d57f9b25a2ab4ba082bc8851"
integrity sha512-HhHMn1xvyqBCvw8HmjZ5w856BQ0+xX4tKe/48k+dyKUzzSjwrFjILWTDV2GIHZcVyMHuSS3/bX9ehIBULB5yAA==
dependencies:
"@firebase/installations-types" "0.1.2"
"@firebase/util" "0.2.22"
"@firebase/util" "0.2.24"
idb "3.0.2"
tslib "1.10.0"
"@firebase/logger@0.1.19":
version "0.1.19"
resolved "https://registry.yarnpkg.com/@firebase/logger/-/logger-0.1.19.tgz#edb7fbf7ed6f32fdfe1769c22b4b2232695a9391"
integrity sha512-MoznIjuCE5ynUqHhqr8RYSA//EW8o+7oC1+x9p4gvMLZq/BpnvCR8uZ+FrGCiz9BWS+RFhYrhp0kMJY5P3ztww==
"@firebase/logger@0.1.21":
version "0.1.21"
resolved "https://registry.yarnpkg.com/@firebase/logger/-/logger-0.1.21.tgz#4918944ae01561afa8801f2bc4fc609351418007"
integrity sha512-O4aIK1wkMpczqnDSwzDaEcQ8a5puVU4Bpt+16PfenicsBSrIR+gKq44crPM3nv/LURWtDpUVSYGoqhKPeodPAg==
"@firebase/messaging-types@0.3.1":
version "0.3.1"
resolved "https://registry.yarnpkg.com/@firebase/messaging-types/-/messaging-types-0.3.1.tgz#d296ff1b08e235e009ad2b8d93ff67625d7d0d8b"
integrity sha512-N6PanmUgrUrGxQGlf+2KddGENhgYgUPlciuNoDr04OmDLBhuViR959NmyGVhd/kb+XDW4pNroaKPU0hWjSvM1Q==
"@firebase/messaging-types@0.3.2":
version "0.3.2"
resolved "https://registry.yarnpkg.com/@firebase/messaging-types/-/messaging-types-0.3.2.tgz#cf802617c161434a02fe029290a79f422821d12f"
integrity sha512-2qa2qNKqpalmtwaUV3+wQqfCm5myP/dViIBv+pXF8HinemIfO1IPQtr9pCNfsSYyus78qEhtfldnPWXxUH5v0w==
"@firebase/messaging@0.4.5":
version "0.4.5"
resolved "https://registry.yarnpkg.com/@firebase/messaging/-/messaging-0.4.5.tgz#0d38110a3377d6b7bd0e6be3874ee77d205443b0"
integrity sha512-jVvIG7G33jLmBhZuya5rCmlsotFzkDTwHnsTtUZYeP7yUnm/diBHCIY9GQ+GIgK2NpXPUWISQOPjYFlk/twLlg==
"@firebase/messaging@0.4.7":
version "0.4.7"
resolved "https://registry.yarnpkg.com/@firebase/messaging/-/messaging-0.4.7.tgz#d55d63b9f48c04b6c380ff4fafd2461597961e9a"
integrity sha512-Kzx64ELqOhEniyKawyCmDiQo8tX+wiF7Jsk5kp7moh7090dOPb8p8snkq770UFwUZjhouVrl8tOKzD3SInVIFA==
dependencies:
"@firebase/messaging-types" "0.3.1"
"@firebase/util" "0.2.22"
"@firebase/messaging-types" "0.3.2"
"@firebase/util" "0.2.24"
tslib "1.10.0"
"@firebase/performance-types@0.0.3":
......@@ -478,51 +478,51 @@
resolved "https://registry.yarnpkg.com/@firebase/performance-types/-/performance-types-0.0.3.tgz#bdd37975cd5f12a55d3951f4942c3fa2661b354f"
integrity sha512-RuC63nYJPJU65AsrNMc3fTRcRgHiyNcQLh9ufeKUT1mEsFgpxr167gMb+tpzNU4jsbvM6+c6nQAFdHpqcGkRlQ==
"@firebase/performance@0.2.12":
version "0.2.12"
resolved "https://registry.yarnpkg.com/@firebase/performance/-/performance-0.2.12.tgz#32b17e2c5cdb0d010b54ed900ab89963fcaa772c"
integrity sha512-yp9rqg5OYjqaa7NQE3j7Ayn6ibmXiuMbd321/1frJySRpXwHhVwwvtYaR7ECDF9m9IHw1azT76+lRQY9u5B+XA==
"@firebase/performance@0.2.14":
version "0.2.14"
resolved "https://registry.yarnpkg.com/@firebase/performance/-/performance-0.2.14.tgz#a868dc9f50bcfe55a091ee30aea50f7674fa2357"
integrity sha512-WNhJkVEq9q6OazUldzeRcESmGl0W2kw82CfUII/uPATdMvF5wXvda60BN0zwquRVSdLTt7qVRQA/8wLQYnX/Kw==
dependencies:
"@firebase/installations" "0.2.1"
"@firebase/logger" "0.1.19"
"@firebase/installations" "0.2.3"
"@firebase/logger" "0.1.21"
"@firebase/performance-types" "0.0.3"
"@firebase/util" "0.2.22"
"@firebase/util" "0.2.24"
tslib "1.10.0"
"@firebase/polyfill@0.3.16":
version "0.3.16"
resolved "https://registry.yarnpkg.com/@firebase/polyfill/-/polyfill-0.3.16.tgz#304de7964293f5ed1492356f307236183c653371"
integrity sha512-NegC/1ypQo5XCY6pYnjTAeIWZvD+b+10/gUhIGzO3i44O83+V7eLX10B0FmBCNknhpm8KLjswyQycdymoWpegw==
"@firebase/polyfill@0.3.18":
version "0.3.18"
resolved "https://registry.yarnpkg.com/@firebase/polyfill/-/polyfill-0.3.18.tgz#cb064aa19774c4d2b9bfc82450786957a65d60ae"
integrity sha512-Erp0vuFYMS8BlQzuAWR6zf10rxDT4GHRGJypxoW7arU4J61KIb6CPmrO9tVtf/rVEZuUXsDO65etDEFA8elCYA==
dependencies:
core-js "3.1.4"
promise-polyfill "8.1.3"
whatwg-fetch "2.0.4"
"@firebase/storage-types@0.3.2":
version "0.3.2"
resolved "https://registry.yarnpkg.com/@firebase/storage-types/-/storage-types-0.3.2.tgz#72b45f2f9456f75222b978b2f6e9ffbf0825f106"
integrity sha512-B7FB5ObvB5kZh6BXIY3U9hm59InIdIb6JlDApncLfrHxXvTH9bpRx1xILHHI7EFkQjThbFO1Se0VBq/qc+2F6w==
"@firebase/storage-types@0.3.3":
version "0.3.3"
resolved "https://registry.yarnpkg.com/@firebase/storage-types/-/storage-types-0.3.3.tgz#179ad38485d450023406cf9731560d690ef39d19"
integrity sha512-fUp4kpbxwDiWs/aIBJqBvXgFHZvgoND2JA0gJYSEsXtWtVwfgzY/710plErgZDeQKopX5eOR1sHskZkQUy0U6w==
"@firebase/storage@0.3.6":
version "0.3.6"
resolved "https://registry.yarnpkg.com/@firebase/storage/-/storage-0.3.6.tgz#a500f3cc49f88ceb633413ddc9dbd826a7c9d3dd"
integrity sha512-8uV40I+ftMkEsqC0lY57H3dttFOzWxCZrPde9H+nb398efEBVJWgEtXyLa963RvKTRCRFQNsI9GSY5HQYMacsg==
"@firebase/storage@0.3.8":
version "0.3.8"
resolved "https://registry.yarnpkg.com/@firebase/storage/-/storage-0.3.8.tgz#1422fe583c57a712d03a155d2ce6bef8526e7c33"
integrity sha512-u/JHEkoIPKkRigHhcHcmHq6Ymu27Iyei6SqDFPm17vfC85jDetdg6aO9K+UxbtdDICa60P86UguqDHTMLVwKIg==
dependencies:
"@firebase/storage-types" "0.3.2"
"@firebase/util" "0.2.22"
"@firebase/storage-types" "0.3.3"
"@firebase/util" "0.2.24"
tslib "1.10.0"
"@firebase/util@0.2.22":
version "0.2.22"
resolved "https://registry.yarnpkg.com/@firebase/util/-/util-0.2.22.tgz#adf9773778b475e016048c7d5a527c2984e58474"
integrity sha512-Wyo1BY6KQK3DOGmk4s0KMaCMj6L9Ndhj0tLVBfVfG6NWsPEL5ixZHhG942Lzm3hNNZo2ThITMIcP1pXszew3Fw==
"@firebase/util@0.2.24":
version "0.2.24"
resolved "https://registry.yarnpkg.com/@firebase/util/-/util-0.2.24.tgz#5ccb7888f3dacf911c1c6ec51b68a17dea5c9b74"
integrity sha512-XFBNxfkMajl2zSUdcCQ3H32IN9JSM7Dacv8RK72DKoFV8Zn8dx4iZvtx8RB/VTFpXfcl435A0RzXqkLfSSEK/A==
dependencies:
tslib "1.10.0"
"@firebase/webchannel-wrapper@0.2.22":
version "0.2.22"
resolved "https://registry.yarnpkg.com/@firebase/webchannel-wrapper/-/webchannel-wrapper-0.2.22.tgz#38b3fbc013c67db9d633f2b029babed48489306e"
integrity sha512-TB3ZwE+DWZW7P7CMAV/gSA2DLGtUBsJl8CsRf/3KSxEko/cD1wTub0Fmk7g5ht94ywFzBjCbAnWWJN1U+KcNYQ==
"@firebase/webchannel-wrapper@0.2.23":
version "0.2.23"
resolved "https://registry.yarnpkg.com/@firebase/webchannel-wrapper/-/webchannel-wrapper-0.2.23.tgz#a0df05b210ff03c65ecb3589390095631b95e1f8"
integrity sha512-BJqOF51sPQjmRoX+WFMbZ5mhuy53JrFN0t1KY+HffcvDRb+82+vkFatKnwG3wTCKV183vJW5tGQIytb4T8pUBg==
"@grpc/proto-loader@^0.5.0":
version "0.5.1"
......@@ -532,12 +532,12 @@
lodash.camelcase "^4.3.0"
protobufjs "^6.8.6"
"@ngtools/webpack@8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@ngtools/webpack/-/webpack-8.1.2.tgz#5f96371d51a7f338a29990916b5b77f55bbf1ca6"
integrity sha512-xA1SZI6BiEqmfxyaxw2TobF3gkZdfyEeCP1zhPm38PjQ1zU7Xx3TbvxTeMKGV3EOTMxvUETDiS65YJrIvGnaNA==
"@ngtools/webpack@8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@ngtools/webpack/-/webpack-8.2.0.tgz#96f57898545032b0b7c0506fd5a25dc5e5985948"
integrity sha512-vv4S1ERBDBgKyT+fERzqprU7VdyWPHAZYP/UGIjEqTBwrrQd3G9dd0Pnt8sRRscLsZoo+DexC9J+NRBd207pLA==
dependencies:
"@angular-devkit/core" "8.1.2"
"@angular-devkit/core" "8.2.0"
enhanced-resolve "4.1.0"
rxjs "6.4.0"
tree-kill "1.2.1"
......@@ -596,26 +596,26 @@
resolved "https://registry.yarnpkg.com/@protobufjs/utf8/-/utf8-1.1.0.tgz#a777360b5b39a1a2e5106f8e858f2fd2d060c570"
integrity sha1-p3c2C1s5oaLlEG+OhY8v0tBgxXA=
"@schematics/angular@8.1.2":
version "8.1.2"
resolved "https://registry.yarnpkg.com/@schematics/angular/-/angular-8.1.2.tgz#bd81b6f1131697d16dfbb6b275c24dad9cc41c83"
integrity sha512-BeEzuS0s4j+BPboUhl97VMfhj7V+HpNbbY3PkD3TLd0cnSEoaLmtX+YjxbxZgwk6vhDp+l6YtpWt//5H/+0rFQ==
"@schematics/angular@8.2.0":
version "8.2.0"
resolved "https://registry.yarnpkg.com/@schematics/angular/-/angular-8.2.0.tgz#1ac24ed3708a197088119ca419e421a161ad2fd9"
integrity sha512-DOo2wtk9fk0kHCDA/I+/mRrGKirgeqVhDbgOV4d2gbYSAiTl0s1Gb4eFAkJeovQTlARfaL2PIqDDkNeYjc7xpw==
dependencies:
"@angular-devkit/core" "8.1.2"
"@angular-devkit/schematics" "8.1.2"
"@angular-devkit/core" "8.2.0"
"@angular-devkit/schematics" "8.2.0"
"@schematics/update@0.801.2":
version "0.801.2"
resolved "https://registry.yarnpkg.com/@schematics/update/-/update-0.801.2.tgz#cb6466f8eeb7644ad725dbe47e8c4446669db0d9"
integrity sha512-xb54QXvII1JLdqgEqsh6mWu5qTt5UezmOWTZayRegsj0vNlzWFzoLXpiPFCWVEKUODa6aV4O5XW5CiQuVYPVuQ==
"@schematics/update@0.802.0":
version "0.802.0"
resolved "https://registry.yarnpkg.com/@schematics/update/-/update-0.802.0.tgz#8ebdc4ace6372a6aed824abb78ef4b56f2bb5d72"
integrity sha512-vMcFLTuw9jSlWQq6nNgMQi2fT/wGyaucvjkxFAs7pC+lyRwYws3IkOukbET7WeJ3ix0ZBEhMbPJ8EibUNDITjw==
dependencies:
"@angular-devkit/core" "8.1.2"
"@angular-devkit/schematics" "8.1.2"
"@angular-devkit/core" "8.2.0"
"@angular-devkit/schematics" "8.2.0"
"@yarnpkg/lockfile" "1.1.0"
ini "1.3.5"
pacote "9.5.1"
pacote "9.5.4"
rxjs "6.4.0"
semver "6.2.0"
semver "6.3.0"
semver-intersect "1.4.0"
"@types/events@*":
......@@ -637,10 +637,10 @@
resolved "https://registry.yarnpkg.com/@types/jasmine/-/jasmine-2.8.8.tgz#bf53a7d193ea8b03867a38bfdb4fbb0e0bf066c9"
integrity sha512-OJSUxLaxXsjjhob2DBzqzgrkLmukM3+JMpRp0r0E4HTdT1nwDCWhaswjYxazPij6uOdzHCJfNbDjmQ1/rnNbCg==
"@types/jasmine@~3.3.14":
version "3.3.14"
resolved "https://registry.yarnpkg.com/@types/jasmine/-/jasmine-3.3.14.tgz#593440eef2793ed6c2beddf65850f4ed3028599c"
integrity sha512-0mE8mLKrobGicrQqSU3GI1rE+yy0tfGWoGklhrsYVV3ZaHcQGNUs0UQ07pXIiGVHJB3fKP0qApcmApySk4wCRw==
"@types/jasmine@~3.3.16":
version "3.3.16"
resolved "https://registry.yarnpkg.com/@types/jasmine/-/jasmine-3.3.16.tgz#7c84074f5d7f84da9a14f816ccfb9aeb4da13f27"
integrity sha512-Nveep4zKGby8uIvG2AEUyYOwZS8uVeHK9TgbuWYSawUDDdIgfhCKz28QzamTo//Jk7Ztt9PO3f+vzlB6a4GV1Q==
"@types/jasminewd2@~2.0.6":
version "2.0.6"
......@@ -669,10 +669,10 @@
resolved "https://registry.yarnpkg.com/@types/node/-/node-10.14.13.tgz#ac786d623860adf39a3f51d629480aacd6a6eec7"
integrity sha512-yN/FNNW1UYsRR1wwAoyOwqvDuLDtVXnaJTZ898XIw/Q5cCaeVAlVwvsmXLX5PuiScBYwZsZU4JYSHB3TvfdwvQ==
"@types/node@^10.9.3":
version "10.11.0"
resolved "https://registry.yarnpkg.com/@types/node/-/node-10.11.0.tgz#ddd0d67a3b6c3810dd1a59e36675fa82de5e19ae"
integrity sha512-R4Dvw6KjSYn/SpvjRchBOwXr14vVVcFXCtnM3f0aLvlJS8a599rrcEoihcP2/+Z/f75E5GNPd4aWM7j1yei9og==
"@types/node@^10.14.14":
version "10.14.14"
resolved "https://registry.yarnpkg.com/@types/node/-/node-10.14.14.tgz#a47955df2acf76ba7f0ac3b205d325da193dc9ad"
integrity sha512-xXD08vZsvpv4xptQXj1+ky22f7ZoKu5ZNI/4l+/BXG3X+XaeZsmaFbbTKuhSE3NjjvRuZFxFf9sQBMXIcZNFMQ==
"@types/q@^0.0.32":
version "0.0.32"
......@@ -888,15 +888,10 @@ accepts@~1.3.7:
mime-types "~2.1.24"
negotiator "0.6.2"
acorn-dynamic-import@^4.0.0:
version "4.0.0"
resolved "https://registry.yarnpkg.com/acorn-dynamic-import/-/acorn-dynamic-import-4.0.0.tgz#482210140582a36b83c3e342e1cfebcaa9240948"
integrity sha512-d3OEjQV4ROpoflsnUA8HozoIR504TFxNivYEUi6uwz0IYhBkTDXGuWlNdMtybRt3nqVx/L6XqMt0FxkXuWKZhw==
acorn@^6.0.5:
version "6.2.0"
resolved "https://registry.yarnpkg.com/acorn/-/acorn-6.2.0.tgz#67f0da2fc339d6cfb5d6fb244fd449f33cd8bbe3"
integrity sha512-8oe72N3WPMjA+2zVG71Ia0nXZ8DpQH+QyyHO+p06jT8eg8FGG3FbcUIi8KziHlAfheJQZeoqbvq1mQSQHXKYLw==
acorn@^6.2.0:
version "6.2.1"
resolved "https://registry.yarnpkg.com/acorn/-/acorn-6.2.1.tgz#3ed8422d6dec09e6121cc7a843ca86a330a86b51"
integrity sha512-JD0xT5FCRDNyjDda3Lrg/IxFscp9q4tiYtxE1/nOzlKCk7hIRuYjhq1kCNkbPjMRMZuFq20HNQn1I9k8Oj0E+Q==
adm-zip@^0.4.9:
version "0.4.11"
......@@ -939,10 +934,10 @@ ajv-keywords@^3.1.0:
resolved "https://registry.yarnpkg.com/ajv-keywords/-/ajv-keywords-3.2.0.tgz#e86b819c602cf8821ad637413698f1dec021847a"
integrity sha1-6GuBnGAs+IIa1jdBNpjx3sAhhHo=
ajv@6.10.0:
version "6.10.0"
resolved "https://registry.yarnpkg.com/ajv/-/ajv-6.10.0.tgz#90d0d54439da587cd7e843bfb7045f50bd22bdf1"
integrity sha512-nffhOpkymDECQyR0mnsUtoCE8RlX38G0rYP+wgLWFyZuUyuuojSSvi/+euOiQBIn63whYwYVIIH1TvE3tu4OEg==
ajv@6.10.2:
version "6.10.2"
resolved "https://registry.yarnpkg.com/ajv/-/ajv-6.10.2.tgz#d3cea04d6b017b2894ad69040fec8b623eb4bd52"
integrity sha512-TXtUUEYHuaTEbLZWIKUr5pmBuhDLy+8KYtPYdcV8qC+pOZL+NKqYwvWSRrVXHn+ZmRRAu8vJTAznH7Oag6RVRw==
dependencies:
fast-deep-equal "^2.0.1"
fast-json-stable-stringify "^2.0.0"
......@@ -974,10 +969,10 @@ amdefine@>=0.0.4:
resolved "https://registry.yarnpkg.com/amdefine/-/amdefine-1.0.1.tgz#4a5282ac164729e93619bcfd3ad151f817ce91f5"
integrity sha1-SlKCrBZHKek2Gbz9OtFR+BfOkfU=